using System;
using System.Collections.Generic;
using System.Text;
using LighthouseShared;

namespace Uccom3ishParser
{
    class CommandInfo : ICommandInfo
    {
        public CommandInfo(string name, string defaultcommand, string help, IPlugin plugin, CommandCallback callback)
        {
            m_Name = name;
            m_Command = defaultcommand;
            m_Help = help;
            m_Plugin = plugin;
            m_Callback = callback;
        }

        internal bool m_Enabled = true;
        public bool Enabled
        {
            get
            {
                return m_Enabled;
            }
            set
            {
                m_Enabled = value;
            }
        }

        internal string m_Name;
        public string Name
        {
            get { return m_Name; }
        }

        internal string m_Command;
        public string Command
        {
            get
            {
                return m_Command;
            }
            set
            {
                m_Command = value;
            }
        }

        internal string m_Help;
        public string Help
        {
            get { return m_Help; }
        }

        internal CommandCallback m_Callback;
        public CommandCallback Callback
        {
            get { return m_Callback; }
        }

        internal IPlugin m_Plugin;
        public IPlugin Plugin
        {
            get { return m_Plugin; }
        }
    }
}
