using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using LighthouseShared;
using Lighthouse;

namespace TestPlugin
{
    public partial class PanelTest : LighthouseShared.LHPanel
    {
        private IPluginHost m_PluginHost;
        private TestPlugin m_TestPlugin;

        private Lighthouse.FormMain m_FormMain;

        public PanelTest(IPluginHost pluginhost, TestPlugin testplugin)
        {
            InitializeComponent();
            m_PluginHost = pluginhost;
            m_TestPlugin = testplugin;
            m_FormMain = (Lighthouse.FormMain)pluginhost;
            this.PanelName = "Test Plugin";
        }

        private void button1_Click(object sender, EventArgs e)
        {
            m_PluginHost.SendChatMessageByType("Test Plugin", textBox1.Text, false);
            textBox1.Text = "";
            textBox1.Focus();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            m_FormMain.m_Client_CCOM.ChatMessage(m_FormMain.m_ChatInfo_CCOM, textBox2.Text);
            //textBox2.Text = "";
            textBox2.Focus();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            MessageBox.Show(DateTime.Now.ToString());
        }

        private void button4_Click(object sender, EventArgs e)
        {
            m_PluginHost.SendChatMessageByType("testy vag", "cock" + Environment.TickCount.ToString(), true);
        }

        private void PanelTest_Load(object sender, EventArgs e)
        {

        }
    }
}

