using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace LighthouseShared
{
    public interface IPlugin
    {
        string Name { get; }
        Version Version { get; }
        string Description { get; }

        void Load(IPluginHost host, FileStream settingsfile);
        void Unload();

        void ShowProperties();

        void SaveSettings();
    }
}
