using System;
using System.Collections.Generic;
using System.Text;
using LighthouseShared;

namespace TestPlugin
{
    public class TestPlugin : IPlugin, IGeneralPlugin
    {
        public System.IO.FileStream m_Settings;

        #region IPlugin Members

        public string Name
        {
            get { return "TestPlugin"; }
        }

        public Version Version
        {
            get { return new Version("1.3.3.7"); }
        }

        public string Description
        {
            // ha ha i made a play on words!
            get { return "Some buttplugin"; }
        }

        public void Load(IPluginHost host, System.IO.FileStream settingsfile)
        {
            host.AddUIPanel(this, new PanelTest(host, this));

            m_Settings = settingsfile;

            host.RegisterCommand("MessageBox", "mbox", "Usage: {0} text.\r\n Pops up a messagebox on the owner's computer.", this, new CommandCallback(HandleMbox));
            host.RegisterChatMessageHook(this, new ChatMessageCallback(ChatMessage_Callback));
        }

        public void Unload()
        {
            m_Settings.Close();
        }

        bool ChatMessage_Callback(IChatInfo chatinfo, ref string screenname, ref string message)
        {
            message = message.Replace("vagina", "penis");
            return false;
        }

        public void SaveSettings()
        {

        }

        void HandleMbox(ICommandInfo commandinfo, IUserInfo userinfo, string args)
        {
            System.Windows.Forms.MessageBox.Show(userinfo.ScreenName + ": " + args);
        }

        public void ShowProperties()
        {

        }

        #endregion
    }
}
